Subject: [nfsv4] Local caching requirement

From: "Haynes, Tom" <[email-masked]>
Date: Thu, 17 May 2012 19:20:29 -0700

There is a paragraph in the Labeled NFS Requirements Document:

        A mechanism MUST exist to allow the client to obtain access, and labeling
        decisions from the server for locally cached and delegated objects, so
        that it may apply the server's policy to these objects.  If the server's
        policy changes, the client MUST flush all object state back to the
        server.  The server MUST ensure that any flushed state received is
        consistent with current policy before committing it to stable storage.

In Draft 03, this is in Section 3.7.1.

I think the first sentence must go. We have not provided a means for policies
to be transfered between the client and server.

I believe this was an attempt to handle delegation on the client. The way the
server will apply its policy is presented in the last line. I.e., the client
has to make changes based on its policies, but it is still the server which has
to make the changes.

-- 
[email-masked], ex-cfb